]> err.no Git - sope/commitdiff
new pre-commit fixup script
authorznek <znek@e4a50df8-12e2-0310-a44c-efbce7f8a7e3>
Tue, 14 Dec 2004 17:09:52 +0000 (17:09 +0000)
committerznek <znek@e4a50df8-12e2-0310-a44c-efbce7f8a7e3>
Tue, 14 Dec 2004 17:09:52 +0000 (17:09 +0000)
git-svn-id: http://svn.opengroupware.org/SOPE/trunk@443 e4a50df8-12e2-0310-a44c-efbce7f8a7e3

maintenance/ChangeLog
maintenance/znek-fix-xcode-projects.sh [new file with mode: 0755]

index 2057df1e3d1cefffd18f09553e8d08154be48949..13bc6cec89f440d3f5cfb89d027571d6a1c972b4 100644 (file)
@@ -1,3 +1,13 @@
+2004-12-14  Marcus Mueller  <znek@mulle-kybernetik.com>
+
+       * znek-fix-xcode-projects.sh: added my personal pre-commit Xcode
+         check & fix script
+
+2004-11-07  Marcus Mueller  <znek@mulle-kybernetik.com>
+
+       * syncXcodeVersions.sh: script file to adjust the framework versions
+         used in the Xcode files to those used by the GNUmakefile process
+
 2004-10-17  Helge Hess  <helge.hess@opengroupware.org>
        
        * mod_ngobjweb*.spec: fixed URL (pointed to libical)
diff --git a/maintenance/znek-fix-xcode-projects.sh b/maintenance/znek-fix-xcode-projects.sh
new file mode 100755 (executable)
index 0000000..e3607e7
--- /dev/null
@@ -0,0 +1,36 @@
+#!/bin/sh
+# znek's fixes for Xcode projects
+
+TMPFILE=/tmp/znek-fix-xcode-projects_$$
+
+fixProject()
+{
+  # $1 - xcode project
+
+  PROJ=$1
+
+# 1. Replace /Local/BuildArea (my build area) with /Library/Frameworks
+  cat ${PROJ} | sed -e 's;/Local/BuildArea;/Library/Frameworks;g' > ${TMPFILE}
+  mv ${TMPFILE} ${TMPFILE}_1
+
+# 2. build filter for frameworks
+   FILTER=""
+   for f in SaxObjC DOM XmlRpc EOControl NGExtensions NGHttp NGObjWeb NGStreams NGXmlRpc SoObjects WebDAV NGImap4 NGMail NGMime SOPEX
+   do
+     FILTER="${FILTER} -e s;/Library/Frameworks/${f}.framework;\"\$(USER_LIBRARY_DIR)/Frameworks/${f}.framework\";g"
+   done
+  cat ${TMPFILE}_1 | sed ${FILTER} > ${TMPFILE}
+  rm -f ${TMPFILE}_1
+  diff -q ${TMPFILE} ${PROJ} > /dev/null 2>&1
+  if [ ! $? -eq 0 ]; then
+    cp ${TMPFILE} ${PROJ}
+    echo "${PROJ} fixed"
+  fi
+  rm -f ${TMPFILE}
+}
+
+PROJECTS=`find . -name "*.pbxproj"`
+for p in ${PROJECTS}
+do
+  fixProject "$p"
+done
\ No newline at end of file